#include "Entities/EntityView.h"
#include "utility.h"
#include <Entities/EntityManager.h>
#include <Entities/Entity.h>

inline constexpr EntityIndex PLAYER_INDEX = 0;

void EntityManager::update()
{
	
}

inline Entity EntityManager::player()
{
	return m_player;
}

EntityView EntityManager::getEntiites(EntityTag tag)
{
	return EntityView(util::tagStart[tag], m_numEntitiesByTag[tag]);
}